For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Note object
          • GET/notes
          • POST/notes
          • GET/notes/{id}
          • GET/notes/meta/post
          • GET/notes/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsNotes

/notes/remote-field-classes

Beta
GET
/crm/v1/notes/remote-field-classes
GET
/api/crm/v1/notes/remote-field-classes
$curl -G https://api.merge.dev/api/crm/v1/notes/remote-field-classes \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "string",
7 "display_name": "string",
8 "remote_key_name": "string",
9 "description": "string",
10 "is_custom": true,
11 "is_common_model_field": true,
12 "is_required": true,
13 "field_type": "string",
14 "field_format": "string",
15 "field_choices": [
16 "string"
17 ],
18 "item_schema": {
19 "item_type": "string",
20 "item_format": "string",
21 "item_choices": [
22 "string"
23 ]
24 }
25 }
26 ]
27}

Returns a list of RemoteFieldClass objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/notes/meta/post

Next

The Opportunity object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

is_common_model_fieldbooleanOptional

If provided, will only return remote field classes with this is_common_model_field value

is_custombooleanOptional

If provided, will only return remote fields classes with this is_custom value

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects